[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.NotifyActivateHandler

Notifies all Activate handlers for the application.

## Declaration

Source position: forms.pp line 1575

`protected procedure TApplication.NotifyActivateHandler;`

## Description

NotifyActivateHandler signals the OnActivate event handler (when assigned) using the TApplication instance as the Sender for the notification event. The CallNotifyEvents method in the TMethodList is called to signal each of the routines for the handler type.

NotifyActivateHandler is called when an application is initially executed, and when focus is acquired from a different application.

## See also

TApplication.OnActivate |  | Event handler signalled when an Activate message is handled in the application.
TApplicationHandlerType |  | Types of Application notification handlers.